# AI Render - Stable Diffusion in Blender

Render with Stable Diffusion in Blender. This add-on renders an AI generated image based on a text prompt and your scene.

Create incredible AI generated images with Stable Diffusion easily, without running any code on your own computer!


## Installation

- Get AI Render on [Blender Market](https://blendermarket.com/products/ai-render) or [Gumroad](https://airender.gumroad.com/l/ai-render)
- Open Blender, then go to Edit > Preferences > Add-ons > Install and then find the zip file

(You can also download for free on the [releases page](https://github.com/benrugg/AI-Render/releases))


## Demo

[![Watch the demo video](https://user-images.githubusercontent.com/1221274/195998824-da0b052e-8606-4afb-a842-527539f672c0.jpg)](https://www.youtube.com/watch?v=PXBXix2WzX4)


## Tutorial

[![Watch the tutorial video](https://user-images.githubusercontent.com/1221274/195998784-c4661eee-81d8-4a03-926e-340ef8da6d19.jpg)](https://www.youtube.com/watch?v=tmyln5bwnO8)


## Platforms

AI Render works on Windows, Mac and Linux. Blender 3.0.0+ is supported.


## Prompt Help / FAQ

See the wiki for [help with prompt engineering and ideas](https://github.com/benrugg/AI-Render/wiki/Prompt-Engineering), and for [Frequently Asked Questions](https://github.com/benrugg/AI-Render/wiki/FAQ).


## Bug Reporting and Feature Requests

Help make the add-on better by reporting any bugs (big or small) or requesting new features:

- [Report a Bug](https://github.com/benrugg/AI-Render/issues/new?assignees=&labels=&template=bug-report.yaml)
- [Request a Feature](https://github.com/benrugg/AI-Render/issues/new?assignees=&labels=&template=feature-request.yaml)


## Known Limitations

- AI Render currently only does still frames (not animations). Animations are planned for a future release!
- Local installations of Stable Diffusion aren't supported (yet). This is in active development.


## Share images and feedback!

Please share images you make! Tweet them at [@ai_render](https://twitter.com/AI_render) or tag [@airenderblender](https://www.instagram.com/airenderblender/) on Instagram. On both platforms, use hashtags #airender #aiart #stableDiffusion.

If you have ideas for prompts that could become preset styles, or if you have any other feedback, email airenderblender@gmail.com. Thank you for being part of the community!


## Future Enhancements

Here the highest priority new features and enhancements that are in the works:

- Support for local installation of Stable Diffusion
- Animation rendering
- Upscaling
- Options for auto-saving images
- Viewing/copying history of images and prompts
- A panel with prompt modifiers and keyword ideas
- Ability to generate textures with Stable Diffusion
- Asynchronous rendering

_(There are no guarantees that these will happen. But my hope is to focus on each one of these in the very near future!)_

Feel free to [request new features or enhancements](https://github.com/benrugg/AI-Render/issues/new?assignees=&labels=&template=feature-request.yaml).


## Contributing

Please collaborate and contribute! See the [Contributing doc](CONTRIBUTING.md) to get started.

Or [suggest new preset styles](https://github.com/benrugg/AI-Render/issues/new?assignees=&labels=&template=preset-style-suggestion.yaml) for everyone to use.
